| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Private Attributes
qx::trait::generic_container_item< Key, Value > Struct Template Reference

`#include <generic_container.h>`

List of all members.

## Classes
struct | new_Helper
struct | new_Helper< false, T, dummy >
struct | value_qx_Helper
struct | value_qx_Helper< false, T, U, dummy >
## Public Types
enum | { is_key_pointer = (boost::is_pointer<type_key>::value || qx::trait::is_smart_ptr<type_key>::value) }
enum | { is_value_pointer = (boost::is_pointer<type_value>::value || qx::trait::is_smart_ptr<type_value>::value) }
typedef Key | type_key
typedef Value | type_value
typedef qx::trait::remove_attr < Value >::type | type_value_qx_tmp
typedef qx::trait::remove_smart_ptr < type_value_qx_tmp >::type | type_value_qx
## Public Member Functions
| generic_container_item ()
| generic_container_item (const Key &key, const Value &value)
| ~generic_container_item ()
type_key & | key ()
type_value & | value ()
const type_key & | key () const
const type_value & | value () const
type_value_qx & | value_qx ()
const type_value_qx & | value_qx () const
void | key (const Key &key)
void | value (const Value &value)
## Static Public Member Functions
static type_key | newKey ()
static type_value | newValue ()
## Private Attributes
std::pair< type_key, type_value > | m_pair

## Detailed Description

### template<typename Key, typename Value>
struct qx::trait::generic_container_item< Key, Value >

Definition at line 62 of file generic_container.h.

## Member Typedef Documentation

template<typename Key , typename Value >

typedef Key qx::trait::generic_container_item< Key, Value >::type_key

Definition at line 65 of file generic_container.h.

template<typename Key , typename Value >

typedef Value qx::trait::generic_container_item< Key, Value >::type_value

Definition at line 66 of file generic_container.h.

template<typename Key , typename Value >

typedef qx::trait::remove_smart_ptr<type_value_qx_tmp>::type qx::trait::generic_container_item< Key, Value >::type_value_qx

Definition at line 68 of file generic_container.h.

template<typename Key , typename Value >

typedef qx::trait::remove_attr<Value>::type qx::trait::generic_container_item< Key, Value >::type_value_qx_tmp

Definition at line 67 of file generic_container.h.

## Member Enumeration Documentation

template<typename Key , typename Value >

anonymous enum

Enumerator:

  is_key_pointer |

Definition at line 70 of file generic_container.h.

template<typename Key , typename Value >

anonymous enum

Enumerator:

  is_value_pointer |

Definition at line 71 of file generic_container.h.

## Constructor & Destructor Documentation

template<typename Key , typename Value >

qx::trait::generic_container_item< Key, Value >::generic_container_item | ( |  | ) | `[inline]`

Definition at line 79 of file generic_container.h.

template<typename Key , typename Value >

qx::trait::generic_container_item< Key, Value >::generic_container_item | ( | const Key & | key,
|  | const Value & | value
| ) |  | `[inline]`

Definition at line 80 of file generic_container.h.

template<typename Key , typename Value >

qx::trait::generic_container_item< Key, Value >::~generic_container_item | ( |  | ) | `[inline]`

Definition at line 81 of file generic_container.h.

## Member Function Documentation

template<typename Key , typename Value >

type_key& qx::trait::generic_container_item< Key, Value >::key | ( |  | ) | `[inline]`

Definition at line 83 of file generic_container.h.

template<typename Key , typename Value >

const type_key& qx::trait::generic_container_item< Key, Value >::key | ( |  | ) | const`[inline]`

Definition at line 85 of file generic_container.h.

template<typename Key , typename Value >

void qx::trait::generic_container_item< Key, Value >::key | ( | const Key & | key | ) | `[inline]`

Definition at line 90 of file generic_container.h.

template<typename Key , typename Value >

static type_key qx::trait::generic_container_item< Key, Value >::newKey | ( |  | ) | `[inline, static]`

Definition at line 93 of file generic_container.h.

template<typename Key , typename Value >

static type_value qx::trait::generic_container_item< Key, Value >::newValue | ( |  | ) | `[inline, static]`

Definition at line 94 of file generic_container.h.

template<typename Key , typename Value >

type_value& qx::trait::generic_container_item< Key, Value >::value | ( |  | ) | `[inline]`

Definition at line 84 of file generic_container.h.

template<typename Key , typename Value >

void qx::trait::generic_container_item< Key, Value >::value | ( | const Value & | value | ) | `[inline]`

Definition at line 91 of file generic_container.h.

template<typename Key , typename Value >

const type_value& qx::trait::generic_container_item< Key, Value >::value | ( |  | ) | const`[inline]`

Definition at line 86 of file generic_container.h.

template<typename Key , typename Value >

type_value_qx& qx::trait::generic_container_item< Key, Value >::value_qx | ( |  | ) | `[inline]`

Definition at line 87 of file generic_container.h.

template<typename Key , typename Value >

const type_value_qx& qx::trait::generic_container_item< Key, Value >::value_qx | ( |  | ) | const`[inline]`

Definition at line 88 of file generic_container.h.

## Member Data Documentation

template<typename Key , typename Value >

std::pair<type_key, type_value> qx::trait::generic_container_item< Key, Value >::m_pair`[private]`

Definition at line 75 of file generic_container.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/generic_container.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines